#!/bin/bash

# Script to install apwaltz.
set -eoux pipefail

MAJOR="0"
MINOR="1"
BUILD_VER="147"
BRANCH="dev-sriramsh-deplfixes"

# e.g. PKG_VER=0.1.126-master
PKG_VER="${MAJOR}.${MINOR}.${BUILD_VER}-${BRANCH}"

# Update, ignore repo specific errors, we don't want to 
# block rollouts due to repo unavailability. This should be 
# addressed elsewhere.
apt-get update || true

# Remove previous package
apt-get remove -y aplinux-apwaltz

# Install the package
apt-get install -y --quiet aplinux-apwaltz="${PKG_VER}"

# Restart docker. Workaround for issue where some of the parameters
# passed into the container are not refreshed.
systemctl restart docker

# Start apwaltz after waiting for a couple of seconds. This is to ensure 
# we exit after apwaltz has started.
sleep 4
systemctl start apwaltz

exit 0
